<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package reland
 */
?>

<!doctype html>
<html <?php language_attributes();?>>
<head>
	<meta charset="<?php bloginfo( 'charset' );?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ): ?>
    <?php endif;?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head();?>
</head>

<body <?php body_class();?>>

    <?php wp_body_open();?>


    <?php

        $reland_preloader = get_theme_mod('reland_preloader', false);
        $reland_preloader_select = get_theme_mod('reland_preloader_select', 'option-1');

        $reland_preloader_logo = get_template_directory_uri() . '/assets/img/logo/preloader.png';
        $preloader_logo = get_theme_mod('preloader_logo', $reland_preloader_logo);

        $reland_backtotop = get_theme_mod( 'reland_backtotop', false );

        // Header Style
        $reland_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
        $reland_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

        if ( $reland_header_style == 'header-style-7' && empty($_GET['s']) ) {
            $main_wrapper_class = $reland_header_style ? 'main-content' : 'main-area-wrapper';
        }
        elseif ( $reland_header_style == 'header-style-8' && empty($_GET['s']) ) {
            $main_wrapper_class = $reland_header_style ? 'main-content-two' : 'main-area-wrapper';
        }
        else {

            if ( $reland_default_header_style == 'header-style-7' ) {
                $main_wrapper_class = $reland_default_header_style ? 'main-content' : 'main-area-wrapper';
            }
            elseif ( $reland_default_header_style == 'header-style-8' ) {
                $main_wrapper_class = $reland_default_header_style ? 'main-content-two' : 'main-area-wrapper';
            }
            else {
                $main_wrapper_class = $reland_default_header_style ? 'main-area-wrapper' : '';
            }
        }
    ?>


    <?php if ( !empty( $reland_preloader ) ): ?>

        <?php if ($reland_preloader_select == 'option-1') : ?>
            <div id="preloader">
                <div class="ta-preloader-block">
                    <div class="ta-spinner-eff">
                        <div class="ta-bar ta-bar-top"></div>
                        <div class="ta-bar ta-bar-right"></div>
                        <div class="ta-bar ta-bar-bottom"></div>
                        <div class="ta-bar ta-bar-left"></div>
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div id="preloader">
                <div class="loader ta-preloader-block">
                    <div class="loader-container">
                        <div class="loader-icon"><img src="<?php echo esc_url($preloader_logo) ?>" alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"></div>
                    </div>
                </div>
            </div>
        <?php endif; ?>

    <?php endif;?>


    <?php if ( !empty( $reland_backtotop ) ): ?>
        <button class="scroll-top scroll-to-target" data-target="html">
            <i class="fas fa-angle-up"></i>
        </button>
    <?php endif;?>


    <?php do_action( 'reland_header_style' );?>


    <!-- area-wrapper-start -->
    <div class="<?php echo esc_attr( $main_wrapper_class ); ?>">

        <!-- main-area -->
        <main class="main-area">

            <?php do_action( 'reland_before_main_content' ); ?>